
schema.criterion.flag.select.Addetection = 'Ad-detection done';

schema.criterion.detectadsq = {
   'class': 'file',
   type: 'noarg',
   desc: 'Queued for detectads (obsolete -use Recording queued for)',
   idesc: 'Not queued for detectads (obsolete -use Recording queued for)',
   negate: true,
   def: ""
};

schema.action.detectads = {
   'class': 'file',
   argtype: 'string',
   desc: 'Add to detectads queue (obsolete -use Queue recording for)',
   continues: true
};

register_queue('detectads', 'Ad-detection');

macros.detectads = {
      desc: 'Sample DetectAds rules',
      rules:
[
  {
    "raw": "bookmarks 0 !flag Addetection !textmatch %channel~~BBC* !queue detectads action queue {detectads }",
    "name": "Queue for DetectAds (add/remove/modify conditions as needed)",
    "type": "global",
    "enabled": "0",
    "criteria": [
      {
        "negate": 0,
        "cmd": "bookmarks",
        "arg": "0"
      },
      {
        "negate": 1,
        "cmd": "flag",
        "arg": "Addetection"
      },
      {
        "negate": 1,
        "cmd": "textmatch",
        "arg": "%channel~~BBC*"
      },
      {
        "negate": 1,
        "cmd": "queue",
        "arg": "detectads"
      }
    ],
    "action": {
        "cmd": "queue",
        "arg": "detectads"
    }
  }
]
   };
