var curval = 0;
var $slider;

function draw_slider() {
   $slider = $('#slider');
   values = $.trim($('#bookmarks').text()).split(/ +/);
   if (!values.length || values[0] == '') {
      $slider = null;
      return;
   }
   $slider.slider({
      disabled : true,
      min : 0,
      max : len,
      step : 1,
      values : values
   });
};

$(function() {

   draw_slider();

   $('#back').button({
      icons : {
         primary : "ui-icon-arrowreturnthick-1-w"
      }
   }).on('click', function() {
      window,history.back();
      //window.location = '/browse/index.jim?dir=' +
      //    encodeURIComponent(dir);
   });

   function loaddata(data, isfinal) {
      if (isfinal)
         $('#results_inner').text(data);
      else
         $('#results_inner').append(data);
   }

   $('#run').button({
      icons : {
         primary : "ui-icon-play"
      }
   }).on('click', function() {
      $(this).button('option', 'disabled', true);
      $('#results').removeClass('hidden').show();
      $('.running').slideDown('slow');
      $('#results_inner').empty();

      $.ajax({
         type : "GET",
         url : 'runnow.jim',
         data : {
            'file' : file,
            'opts' : $('#opts').val()
         },
         progress : loaddata,
         progressInterval : 5000,
         timeout : 86400000,
         success : function(data) {
            $('.running').slideUp('slow');
            loaddata(data, true);
            loaddata('\n\n=== Refresh page to see bookmarks ===');
         },
         error : function(_, _, e) {
            if (window.console)
               console.log("ajax error");
            $('.running').slideUp('slow');
            alert(e);
         }
      });

   });

   $('#queue').button({
      icons : {
         primary : "ui-icon-play"
      }
   }).on('click', function() {
      $(this).button('option', 'disabled', true);
      $('#results').removeClass('hidden').show();
      $('.running').slideDown('slow');
      $('#results_inner').empty();

      $.ajax({
         type : "GET",
         url : 'queue.jim',
         data : {
            'file' : file ,
            'queue_time': $('#queue_time').val(),
            'opts' : $('#opts').val()
         },
         progress : loaddata,
         progressInterval : 1000,
         timeout : 50000,
         success : function(data) {
            $('.running').slideUp('slow');
            loaddata(data, true);
            loaddata('\n\n=== Check later to see bookmarks ===');
         },
         error : function(_, _, e) {
            if (window.console)
               console.log("ajax error");
            $('.running').slideUp('slow');
            alert(e);
         }
      });

   });

   $('#dequeue').button({
      icons : {
         primary : "ui-icon-stop"
      }
   }).on('click', function() {
      $(this).button('option', 'disabled', true);
      $('#results').removeClass('hidden').show();
      $('.running').slideDown('slow');
      $('#results_inner').empty();

      $.ajax({
         type : "GET",
         url : 'dequeue.jim',
         data : {
            'file' : file
         },
         progress : loaddata,
         progressInterval : 1000,
         timeout : 50000,
         success : function(data) {
            $('.running').slideUp('slow');
            loaddata(data, true);
            loaddata('\n\n=== Done ===');
         },
         error : function(_, _, e) {
            if (window.console)
               console.log("ajax error");
            $('.running').slideUp('slow');
            alert(e);
         }
      });

   });

   $('#reset').button({
   }).on('click', function() {
      $(this).button('option', 'disabled', true);
      $('#results').removeClass('hidden').show();
      $('.running').slideDown('slow');
      $('#results_inner').empty();

      $.ajax({
         type : "GET",
         url : 'reset.jim',
         data : {
            'file' : file
         },
         progress : loaddata,
         progressInterval : 1000,
         timeout : 50000,
         success : function(data) {
            $('.running').slideUp('slow');
            loaddata(data, true);
            loaddata('\n\n=== Done ===');
            setTimeout(function() {location.reload()},5000);
         },
         error : function(_, _, e) {
            if (window.console)
               console.log("ajax error");
            $('.running').slideUp('slow');
            alert(e);
         }
      });

   });

});
